## cegui-mk2 0.7.2

=== debian/changelog ===
cegui-mk2 (0.7.2-1) unstable; urgency=low

  * New upstream version. (Closes: #597868)
  * debian/control: added doxygen to Build-Depends
    since upstream documentation has been "doxygenised"
  * Switch to dpkg-source 3.0 (quilt) format

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Fri, 24 Sep 2010 07:35:05 +0400

cegui-mk2 (0.6.2-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No changes were needed. 
  * debian/control: libpcre3-dev, libfreetype6-dev and libfreeimage-dev were 
    added in libcegui-mk2-dev Depends field. (Closes: #560280)
  * debian/watch: uversionmangle option has been added in order to make uscan
    report the right version of CEGUI. 

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 21 Feb 2010 19:29:55 -0430

cegui-mk2 (0.6.2-3) unstable; urgency=low

  * Bug: FTBFS compilation error ('class OIS::InputManager’ has no member named
    ‘numKeyboards') has been fixed in this revision. A patch has been applied 
    to CEGuiOgreBaseApplication.cpp. (Closes: #557767)
  * Some improvements to the packaging were done thanks to the collaboration 
    from Ubuntu. Thanks to Alessio Treglia for providing a patch.
    (Closes: #558136)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 01 Dec 2009 15:26:11 -0430

cegui-mk2 (0.6.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.3. No changes were needed.
  * debian/control: Build-Depends field has been updated to now use:
    - libboost-signals-dev
    - libboost-regex-dev
    With the update shown above we can ensure that CEGUI is built with the
    newest boost versions. (Closes: #550018)
  * debian/patches: 09_addingheaderforgcc4.4.dpatch has been added to make
    CEGUI compile with gcc-4.4. (Closes: #528919) 
  * CEGUI does not FTBFS anymore, this bug was fixed by upstream. 
    (Closes: #457626)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Wed, 07 Oct 2009 11:06:38 -0430

cegui-mk2 (0.6.2-1) unstable; urgency=low

  * Bump Standards-Version to 3.8.1
  * debian/control: libcegui-mk2-1-dbg's section has been changed from libdevel
    to debug. libcegui-mk2-1's section has been removed because it was a 
    duplicated field. 
  * debian/patches: 06_patching_CEGUIDevILImageCodec.dpatch has been added in 
    order to make CEGUI compile correctly.
  * CEGUI is now built with TinyXML. (Closes: #502477, #502478)
  * New upstream version.
  * FTBFS due to ‘ILvoid’ not declared in the scope has been fixed. 
    (Closes: #525412)
  * The module loading depended on .so links, which are only found in the -dev 
    package has been changed in order to make it use *.so.* directly. Thanks to
    Vincent Fourmond for providing a patch. 
    (Closes: #425983, #524933)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 09 Apr 2009 12:07:37 -0430

cegui-mk2 (0.6.1-1) unstable; urgency=low

  * Bump Standards-Version to 3.8.0
  * New upstream version.
  * SILLY ImageCodec is now supported. (Closes: #491075)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 07 Sep 2008 17:35:47 -0430

cegui-mk2 (0.5.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added dependencies into -dev package for all libs
    used in .la files, closes: #496320

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 05 Sep 2008 12:12:53 +0300

cegui-mk2 (0.5.0-4) unstable; urgency=low

  * The version of debhelper was change from >= 5 to >= 6.
  * CEGUI now Build-depends on libxerces-c2-dev instead of libxerces27-dev.
    (Closes: #479190)
  * Lua scripting is now enabled in this new revision of CEGUI. (Closes:
    #456244)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 09 May 2008 13:24:16 -0430

cegui-mk2 (0.5.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3.
  * Webpage was moved from cegui-mk2's description to control tag.
  * Added to Build-depends: dpatch, liblua50, liblua50-dev, liblualib50, lua50
  * Bug 'FTBFS on GNU/kFreeBSD' has been fixed in this revision. Thanks to
    Cyril Brulebois for providing a patch.(Closes: #413896)
  * Bug 'Not detecting Lua at configure time' has been fixed in this revision.
    Thanks to Erick Vresnev Castellanos Hernández <vresnev@ideasavanzadas.com> 
    (Closes: #456244)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Thu, 17 Jan 2008 11:23:53 -0430

cegui-mk2 (0.5.0-2) unstable; urgency=low

  * The problem related to soname change without package name bump has been
    fixed (Closes: #423502 )

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 17 Jun 2007 19:40:45 +0100

cegui-mk2 (0.5.0-1) unstable; urgency=low

  * New upstream release. (Closes: #402445)
  * Fix Depends: libpcre3-dev was added.
  * The version of debhelper was changed to >= 5 instead of > 4.0.0,
    so linda does not complaint.
  * New maintainer. (Closes: #398108)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 26 Dec 2006 01:02:08 -0400

cegui-mk2 (0.4.1-2) unstable; urgency=low

  * QA upload.
  * Build depend on libgl1-mesa-dev, libglu1-mesa-dev, libdevil-dev for
    the OpenGL renderer.  Closes: #341795, #370541.

 -- Matej Vela <vela@debian.org>  Fri, 15 Dec 2006 19:10:20 +0100

cegui-mk2 (0.4.1-1.3) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Acknowledge NMUs (Closes: #368356).
  * Fix spelling mistakes in description (Closes: #343157).

 -- Luk Claes <luk@debian.org>  Tue,  5 Dec 2006 20:11:06 +0100

cegui-mk2 (0.4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * (Build-)Depends upon xerces27 instead of xerces26 (Closes: #368913).
  * Bump Standards-Version to 3.7.2.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 17:04:02 +0200

cegui-mk2 (0.4.1-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Fix Depends: for libcegui-mk2-0c2a-dbg, thanks to  Robert Luberda
    <robert@debian.org> and Matt Kraai <kraai@ftbfs.org> for the fix
    (Closes: #356491)

 -- Frederik Schüler <fs@debian.org>  Sat, 20 May 2006 16:41:33 +0000

cegui-mk2 (0.4.1-1) unstable; urgency=low


