=== debian/control ===
Source: cegui-mk2
Section: libs
Priority: optional
Maintainer: Muammar El Khatib <muammarelkhatib@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), dbs, libtool, automake1.9, autoconf, pkg-config, libxerces-c2-dev, libboost-signals-dev, libboost-regex-dev, libfreetype6-dev, liblcms1-dev, libtiff4-dev, libgl1-mesa-dev, libglu1-mesa-dev, libdevil-dev, libpcre3-dev, liblua5.1-dev, lua5.1, libois-dev, libfreeimage-dev, doxygen
Standards-Version: 3.9.1
Homepage: http://www.cegui.org.uk/

Package: libcegui-mk2-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcegui-mk2-0c2a
Replaces: libcegui-mk2-0c2a
Description: Crazy Eddie's GUI (libraries)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target.

Package: libcegui-mk2-1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, libcegui-mk2-1 (= ${binary:Version}),  ${misc:Depends}
Conflicts: libcegui-mk2-0-dbg
Replaces: libcegui-mk2-0c2a-dbg
Description: Crazy Eddie's GUI (debugging libraries)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target
 and provides debugging libraries for it.

Package: libcegui-mk2-dev
Section: libdevel
Architecture: any
Suggests: libcegui-mk2-doc
Depends:  ${misc:Depends}, libcegui-mk2-1 (= ${binary:Version}), libdevil-dev, libxerces-c2-dev, libpng12-dev | libpng-dev, libtiff4-dev | libtiff-dev, libjpeg62-dev | libjpeg-dev, libmng-dev, zlib1g-dev | libz-dev, libfreetype6-dev, liblualib50-dev, liblcms1-dev, libpcre3-dev, libfreetype6-dev, libfreeimage-dev 
Description: Crazy Eddie's GUI (development files)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target
 and contains the development files for CEGUI.

Package: libcegui-mk2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Crazy Eddie's GUI (documentation)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the documentation for CEGUI.
